////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPEnum.h
//      Define the CP_ENUM macro, used to define enums.
//
//  Copyright © 2015 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//  4/16/15  kens  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#if _WINDOWS
//#define CP_ENUM(_type, _name) enum _name : _type _name; enum _name : _type
#define CP_ENUM(_type, _name) enum _name
#else
#define CP_ENUM(_type, _name) NS_ENUM(_type, _name)
#endif
