////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPSerialization.h
//    Interface for serialization.
//
//  Copyright © 2014 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	11/19/14  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/CPData.h"

class CPSerialization
{
public:
	virtual CPData Serialize(void) const = 0;
	virtual void Deserialize(const CPData& SerializedObject) = 0;

protected:
	virtual ~CPSerialization(void){};
};