////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPULongLong.h
//    Cross-platform unsigned long long type.
//
//  Copyright © 2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	02/21/12  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"

typedef unsigned long long CPULongLong;

namespace CPULongLongUtilites
{
	CPULongLong CP_EXTERNAL_API Min(CPULongLong AValue, CPULongLong BValue);
	CPULongLong CP_EXTERNAL_API Min(int AValue, CPULongLong BValue);
	CPULongLong CP_EXTERNAL_API Min(CPULongLong AValue, int BValue);
	CPULongLong CP_EXTERNAL_API Max(CPULongLong AValue, CPULongLong BValue);
	CPULongLong CP_EXTERNAL_API Max(int AValue, CPULongLong BValue);
	CPULongLong CP_EXTERNAL_API Max(CPULongLong AValue, int BValue);
};
