////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPDouble.h
//    Cross-platform double type.
//
//  Copyright © 2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	01/20/12  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"

typedef double CPDouble;

namespace CPDoubleUtilites
{
	CPDouble CP_EXTERNAL_API Min(CPDouble AValue, CPDouble BValue);
	CPDouble CP_EXTERNAL_API Min(float AValue, CPDouble BValue);
	CPDouble CP_EXTERNAL_API Min(CPDouble AValue, float BValue);
	CPDouble CP_EXTERNAL_API Max(CPDouble AValue, CPDouble BValue);
	CPDouble CP_EXTERNAL_API Max(float AValue, CPDouble BValue);
	CPDouble CP_EXTERNAL_API Max(CPDouble AValue, float BValue);
};
