////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  CPLongLong.h
//    Cross-platform long long type.
//
//  Copyright © 2012 Acclivity Group LLC, all rights reserved.
//
//  Change History (most recent first):
//
//	02/21/12  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"

typedef long long CPLongLong;

namespace CPLongLongUtilites
{
	CPLongLong CP_EXTERNAL_API Min(CPLongLong AValue, CPLongLong BValue);
	CPLongLong CP_EXTERNAL_API Min(int AValue, CPLongLong BValue);
	CPLongLong CP_EXTERNAL_API Min(CPLongLong AValue, int BValue);
	CPLongLong CP_EXTERNAL_API Max(CPLongLong AValue, CPLongLong BValue);
	CPLongLong CP_EXTERNAL_API Max(int AValue, CPLongLong BValue);
	CPLongLong CP_EXTERNAL_API Max(CPLongLong AValue, int BValue);
};
