/*
 *  CrossPlatform.h
 *  CrossPlatformFramework
 *
 *  Created by Ken Sillart on 3/3/09.
 *  Copyright 2009 MYOB Technology Pty. Ltd.. All rights reserved.
 *
 */

#pragma once

#include "CrossPlatform/CPEnum.h"
#include "CrossPlatform/CPOptions.h"
#include "CrossPlatform/ExternalAPIMacros.h"
#include "CrossPlatform/PlatformSpecificMacros.h"
#include "CrossPlatform/LanguageSpecificMacros.h"

#include "CrossPlatform/CPUniChar.h"
#include "CrossPlatform/CPInteger.h"
#include "CrossPlatform/CPUInteger.h"
#include "CrossPlatform/CPLongLong.h"
#include "CrossPlatform/CPULongLong.h"
#include "CrossPlatform/CPFloat.h"
#include "CrossPlatform/CPDouble.h"
#include "CrossPlatform/CPCoordinate.h"
#include "CrossPlatform/CPSize.h"
#include "CrossPlatform/CPPoint.h"
#include "CrossPlatform/CPRect.h"
#include "CrossPlatform/CPVersion.h"
#include "CrossPlatform/CPId.h"
#include "CrossPlatform/CPObject.h"
#include "CrossPlatform/CPStringEncoding.h"
#include "CrossPlatform/CPString.h"

#include "CrossPlatform/CPLog.h"
#include "CrossPlatform/CPDebugLog.h"
#include "CrossPlatform/CPAssertLog.h"
#include "CrossPlatform/CPStopwatch.h"

#include "CrossPlatform/CPAutoreleasePool.h"
#include "CrossPlatform/CPArray.h"
#include "CrossPlatform/CPMutableArray.h"
#include "CrossPlatform/CPAutoreleasePool.h"
#include "CrossPlatform/CPBase64Encoder.h"
#include "CrossPlatform/CPBool.h"
#include "CrossPlatform/CPBundle.h"
#include "CrossPlatform/CPCharacterSet.h"
#include "CrossPlatform/CPCrossPlatformErrors.h"
#include "CrossPlatform/CPData.h"
#include "CrossPlatform/CPMutableData.h"
#include "CrossPlatform/CPDictionary.h"
#include "CrossPlatform/CPMutableDictionary.h"
#include "CrossPlatform/CPDateComponents.h"
#include "CrossPlatform/CPDate.h"
#include "CrossPlatform/CPDateFormatter.h"
#include "CrossPlatform/CPCalendar.h"
#include "CrossPlatform/CPEnumerator.h"
#include "CrossPlatform/CPError.h"
#include "CrossPlatform/CPException.h"
#include "CrossPlatform/CPExceptionName.h"
#include "CrossPlatform/CPFileHandle.h"
#include "CrossPlatform/CPFileManager.h"
#include "CrossPlatform/CPJsonTranslator.h"
#include "CrossPlatform/CPJSONSerialization.h"
#include "CrossPlatform/CPLock.h"
#include "CrossPlatform/CPLocaleIdentifier.h"
#include "CrossPlatform/CPNull.h"
#include "CrossPlatform/CPNumber.h"
#include "CrossPlatform/CPRange.h"
#include "CrossPlatform/CPRetainedObject.h"
#include "CrossPlatform/CPScanner.h"
#include "CrossPlatform/CPTimer.h"
#include "CrossPlatform/CPTimeZone.h"
#include "CrossPlatform/CPURL.h"
#include "CrossPlatform/CPUserDefaults.h"
#include "CrossPlatform/CPUUID.h"
#include "CrossPlatform/CPValue.h"
#include "CrossPlatform/CPOSInfo.h"

//Interfaces
#include "CrossPlatform/CPSerialization.h"
