/*
 *  ExternalAPIMacros.h
 *  CrossPlatformFramework
 *
 *  Created by Ken Sillart on 3/26/09.
 *  Copyright 2009 MYOB Technology Pty. Ltd.. All rights reserved.
 *
 */

#pragma once

#ifdef _WINDOWS

#ifdef _CPDLL
#define CP_EXTERNAL_API __declspec(dllexport)
#else
#define CP_EXTERNAL_API __declspec(dllimport)
#endif

#ifdef _DLL
#define EXTERNAL_API __declspec(dllexport)
#else
#define EXTERNAL_API __declspec(dllimport)
#endif

#else  // #ifdef _WINDOWS

#define CP_EXTERNAL_API __attribute__((visibility("default")))
#define EXTERNAL_API __attribute__((visibility("default")))

#endif  // #else  // #ifdef _WINDOWS
